import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRTLSClientManagementClusterTLSEndpointStruct extends _NSObject {
    static alloc(): _MTRTLSClientManagementClusterTLSEndpointStruct;
    static new(): _MTRTLSClientManagementClusterTLSEndpointStruct;
    init(): _MTRTLSClientManagementClusterTLSEndpointStruct;
    endpointID(): _NSNumber;
    setEndpointID$(value: _NSNumber): void;
    hostname(): _NSData;
    setHostname$(value: _NSData): void;
    port(): _NSNumber;
    setPort$(value: _NSNumber): void;
    caid(): _NSNumber;
    setCaid$(value: _NSNumber): void;
    ccdid(): _NSNumber | null;
    setCcdid$(value: _NSNumber | null): void;
    referenceCount(): _NSNumber;
    setReferenceCount$(value: _NSNumber): void;
    fabricIndex(): _NSNumber;
    setFabricIndex$(value: _NSNumber): void;
}
export interface _MTRTLSClientManagementClusterTLSEndpointStruct extends _NSCopying {
}
